corda / net.corda.core.schemas.requery.converters / InstantConverter

# InstantConverter

`class InstantConverter : Converter<Instant, Timestamp>`

Converts from a Instant to a java.sql.Timestamp for Java 8. Note that when converting between the time type and the database type all times will be converted to the UTC zone offset.

### Constructors

<init> | `InstantConverter()` Converts from a Instant to a java.sql.Timestamp for Java 8. Note that when converting between the time type and the database type all times will be converted to the UTC zone offset.

### Functions

convertToMapped | `fun convertToMapped(type: Class<out Instant>, value: Timestamp?): Instant?`
convertToPersisted | `fun convertToPersisted(value: Instant?): Timestamp?`
getMappedType | `fun getMappedType(): Class<Instant>`
getPersistedSize | `fun getPersistedSize(): Int?`
getPersistedType | `fun getPersistedType(): Class<Timestamp>`